DNF5-UPGRADE(8)

BEZEICHNUNG
dnf5-upgrade - Upgrade-Befehl

ÜBERSICHT

dnf5 upgrade [Optionen] [Paketangabe-NPFB|@Gruppenangabe|@Umgebungsangabe …]

BESCHREIBUNG

Der Befehl upgrade in DNF5 wird zum Aktualisieren installierter Pakete, Gruppen oder Umgebungen auf neuere verfügbare Versionen verwendet.

Da Gruppen und Umgebungen nicht versioniert sind, bedeutet das Upgrade im Wesentlichen eine Synchronisierung mit der aktuell verfügbaren Definition. Darüber hinaus aktualisiert das Gruppen-Upgrade auch alle in der Gruppe enthaltenen Pakete und das Umgebungs-Upgrade alle in der Umgebung enthaltenen Gruppen.

OPTIONEN

    --minimal
        aktualisiert Pakete nur auf die niedrigste verfügbare Version, die Hinweise des Typs bugfix, enhancement, security oder newpackage adressieren. Falls eine Option zur Einschränkung von Hinweisen verwendet wird, werden Pakete nur auf die niedrigste Version aktualisiert, die Hinweisen mit den ausgewählten Hinweiseigenschaften folgen.

    --allowerasing
        erlaubt das Entfernen installierter Pakete, um potenzielle Abhängigkeitsprobleme zu lösen.

    --skip-unavailable
        erlaubt das Überspringen von Paketen, die nicht aktualisiert werden können. Alle verbleibenden Pakete werden aktualisiert.

    --allow-downgrade
        aktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --no-allow-downgrade
        deaktiviert das Herunterstufen von Abhängigkeiten beim Auflösen der angeforderten Aktion.

    --destdir=<Pfad>
        gibt das Verzeichnis an, in das Pakete heruntergeladen werden. Standardmäßig ist es das aktuelle Arbeitsverzeichnis. Dadurch wird die Option downloadonly automatisch gesetzt.

    --installed-from=PAKETQUELLEN-ID, …
        filtert installierte Pakete nach der ID der Paketquelle, aus der sie installiert wurden.

    --from-repo=PAKETQUELLEN-ID, …
        sucht Pakete (oder deren Bereitstellungen), die explizit in der Befehlszeile angegeben werden, nur in den angegebenen Paketquellen. Diese Paketquellen sind automatisch aktiviert. Die Aktivierung und Deaktivierung von Paketquellen wird weiterhin berücksichtigt. Abhängigkeiten dieser Pakete werden aus jeder aktivierten Paketquelle aufgelöst.

    --from-vendor=ANBIETER, …
        zeigt eine Liste der Anbieter an, getrennt durch Kommata oder Leerraum. Glob-Muster werden unterstützt (zum Beispiel --from-vendor='Fedora\ project, AnbieterA, AnbieterB*, AnbieterC')). Pakete (oder deren Provides), die explizit in der Befehlszeile angegeben werden, werden nur von den angegebenen Anbietern bezogen. Die Anbieteränderungsprüfung ist für diese Pakete auf bypassed gesetzt. Der Anbieter wird ignoriert, oder die Anbieteränderungsrichtlinien (falls allow_vendor_change=0) werden weiterhin für Pakete angewendet, die Abhängigkeiten erfüllen.

    --downloadonly
        lädt nur Pakete für die Transaktion herunter.

    --offline
        speichert die Transaktion, um sie ohne Netzverbindung ausführen zu können. Siehe dnf5-offline(8), Offline-Befehl.

    --store=PFAD
        Speichert die aktuelle Transaktion in einem Verzeichnis unter dem angegebenen PATH, anstatt sie auszuführen. Die gespeicherte Transaktion kann mit dem replay-Befehl dnf5-replay(8) ausgeführt werden. Beachten Sie, dass die Paketquellen-IDs in der gespeicherten Transaktion zu @stored_transaction(repo_id) umbenannt werden. Dies ist erforderlich, da die gespeicherten Paketquellen beim Aufrufen und Ausführen der Transaktion neu erstellt werden und mit bereits vorhandenen Paketquellen kollidieren könnten. (Dies gilt nicht für die spezielle @System-Paketquelle.)

    --advisories=HINWEISNAME, …
        schließt Inhalte aus Hinweisen mit dem angegebenen Namen ein. Dies ist eine Listenoption. Erwartete Werte sind Hinweis-IDs, z. B. FEDORA-2201-123. Jeder Transaktionsbefehl (Installation, Aktualisierung) schlägt mit einer Fehlermeldung fehl, wenn kein Hinweis in der Liste vorhanden ist. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --advisory-severities=HINWEIS-SCHWEREGRAD, …
        schließt Inhalte aus Hinweisen mit dem angegebenem Schweregrad ein. Dies ist eine Listenoption. Zulässige Werte: critical, important, moderate, low, none.

    --bzs=BUGZILLA_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket der angegebenen Bugzilla-ID korrigieren. Dies ist eine Listenoption. Erwartete Werte sind numerische IDs, zum Beispiel 123123. Jeder Transaktionsbefehl (Installation, Aktualisierung) wird mit einer Fehlermeldung fehlschlagen, falls es keinen Hinweis gibt, der das angegebene Ticket korrigiert. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --cves=CVE_ID, …
        schließt Inhalte in Hinweisen ein, die ein Ticket mit der angegebenen CVE-ID (Common Vulnerabilities and Exposures) beheben. Dies ist eine Listenoption. Erwartete Werte sind Zeichenketten-IDs im CVE-Format, z.B. CVE-2201-0123. Alle Transaktionsbefehle (Installation, Aktualisierung) schlagen mit einer Fehlermeldung fehl, wenn kein Hinweis zur Korrektur des betreffenden Tickets vorliegt. Dies kann mit dem Schalter --skip-unavailable umgangen werden.

    --security
        schließt Inhalte ein, die in Sicherheitshinweisen enthalten sind.

    --bugfix
        schließt Inhalte ein, die in Fehlerkorrektur-Hinweisen enthalten sind.

    --enhancement
        schließt Inhalte ein, die in Verbesserungs-Hinweisen enthalten sind.

    --newpackage
        schließt Inhalte ein, die in Neupaket-Hinweisen enthalten sind.

BEISPIELE

    dnf5 upgrade
        Aktualisiert alle installierten Pakete auf die neueste verfügbare Version.

    dnf5 upgrade tito
        Aktualisiert das Paket tito.

SIEHE AUCH
        dnf5-advisory(8), Advisory-Befehl
        dnf5-specs(7), Muster-Spezifikation

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).